package com.yonge.cooleshow.biz.dal.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.groups.Default;

/**
 * Description
 *
 * @author liujc
 * @date 2022-03-30
 */
public class MusicTagSaveDto {

    public interface Create extends Default{}
    public interface Update extends Default{}


    @ApiModelProperty("标签id ")
    @NotNull(groups = Update.class,message = "标签ID不能为空")
    private Long id;

    @ApiModelProperty("父级标签id ")
    private Long parentTagId;

    @ApiModelProperty(value = "标签名称 ",required = true)
    @NotBlank(message = "标签名称不能为空")
    private String name;

    @NotBlank(message = "标签类型不能为空")
    @ApiModelProperty("标签类型 MUSIC:曲目 ALBUM:专辑")
    private String type;


    @ApiModelProperty("标签排序")
    private Integer sortNumber = 0;

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentTagId() {
        return parentTagId;
    }

    public void setParentTagId(Long parentTagId) {
        this.parentTagId = parentTagId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
